// MSS_Options.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"		// main symbols
#include "MSS_Options.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern int iSlider;
extern BOOL bVerbose;

/////////////////////////////////////////////////////////////////////////////
// MSS_Options property page

IMPLEMENT_DYNCREATE(MSS_Options, CPropertyPage)

MSS_Options::MSS_Options() : CPropertyPage(MSS_Options::IDD)
{
	//{{AFX_DATA_INIT(MSS_Options)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

MSS_Options::~MSS_Options()
{
}

void MSS_Options::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(MSS_Options)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	DDX_Control(pDX, IDC_SLIDER1, m_slider);
	DDX_Control(pDX, IDC_STATIC6, m_fsize);

	if (IsDlgButtonChecked(IDC_CHECK1))
		bVerbose = TRUE;

	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(MSS_Options, CPropertyPage)
	//{{AFX_MSG_MAP(MSS_Options)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_HSCROLL()
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// MSS_Options message handlers
/////////////////////////////////////////////////////////////////////////////

BOOL MSS_Options::OnInitDialog()
{
	CPropertyPage::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	m_slider.SetRange( 0, 1024 );
	m_slider.SetTicFreq( 128 );
	SetDlgItemText(IDC_STATIC6, "0");
	bVerbose = FALSE;
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void MSS_Options::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
	}
	else
	{
		CPropertyPage::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void MSS_Options::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CPropertyPage::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR MSS_Options::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void MSS_Options::OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar) 
{
	// TODO: Add your message handler code here and/or call default
	iSlider = m_slider.GetPos();
	CString sSStatus;
	sSStatus.Format("%d", iSlider);
//	DDX_Slider( pDX, IDC_SLIDER1, iSlider );
	SetDlgItemText(IDC_STATIC6, sSStatus);
	CPropertyPage::OnHScroll(nSBCode, nPos, pScrollBar);
}